Community

Error loading ABBYY RTR SDK

Hello. I have an .aar file that works fine on any android project, but when combined with the sample-textcapture, I get the following error on:  

engine = Engine.load( this, licenseFileName );

Error loading ABBYY RTR SDK:

   java.lang.UnsatisfiedLinkError: dalvik.system.PathClassLoader ... couldn't find "libabbyy-rtr-sdk.so"

 

PS: the error occurs only on devices with Android 6.0 and 7.0

 

Any ideas why? Thanks :)

 

0

Comments

1 comment

  • Avatar
    Lilya Chesnova

    Hello!

    Probably, your third-party library uses native code, compiled for a processor with the architecture of arm64-v8a. Please check this and let as know what aar are you also including?

    Free version of RTR SDK is supplied with the code compiled under armeabi-v7a (and this is mentioned in the specification). So it is not compatible at the binary level with arm64-v8a. 

    In case the libraries you are using come with binary files compiled both under armeabi-v7a and arm64-v8a, you may try to apply the following setting in build.gradle file:

     splits {
        abi {
            enable true
            reset()
            include 'armeabi-v7a'
        }

    In case third-party library has only arm64-v8a compatible binaries, then you can use the extended version of RTR SDK, it supports arm64-v8a. For getting more information about extended version please contact our sales via form from our site.

    0
    Comment actions Permalink

Please sign in to leave a comment.